ros-rolling-urdf (2.11.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 29 Apr 2024 00:00:00 -0000

ros-rolling-urdf (2.10.0-1noble) noble; urgency=high

  * Switch to target_link_libraries (#36 <https://github.com/ros2/urdf/issues/36>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-urdf (2.9.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-urdf (2.8.2-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#35 <https://github.com/ros2/urdf/issues/35>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-urdf (2.8.1-1noble) noble; urgency=high

  * [urdf] package.xml: add missing exec_depend to urdf_parser_plugin (#34 <https://github.com/ros2/urdf/issues/34>)
  * Contributors: Tobias Neumann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-urdf (2.8.0-1noble) noble; urgency=high

  * Provide copy and move constructors for model (#33 <https://github.com/ros2/urdf/issues/33>)
  * Contributors: Daniel Reuter

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-urdf (2.7.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-urdf (2.6.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#31 <https://github.com/ros2/urdf/issues/31>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-urdf (2.5.3-1noble) noble; urgency=high

  * Add linter tests and fix errors (#30 <https://github.com/ros2/urdf/issues/30>)
  * Add in a Doxyfile to predefine macros. (#28 <https://github.com/ros2/urdf/issues/28>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-urdf (2.5.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 May 2021 00:00:00 -0000

ros-rolling-urdf (2.5.1-1noble) noble; urgency=high

  * Work around Windows min/max bug. (#21 <https://github.com/ros2/urdf/issues/21>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-urdf (2.5.0-1noble) noble; urgency=high

  * Enable -Wall -Wextra -Wpedantic (#20 <https://github.com/ros2/urdf/issues/20>)
  * Add dependency on TinyXML2 (#19 <https://github.com/ros2/urdf/issues/19>)
  * Remove TinyXML dependency from urdf. (#17 <https://github.com/ros2/urdf/issues/17>)
  * Make urdf plugable and revive urdf_parser_plugin (#13 <https://github.com/ros2/urdf/issues/13>)
  * Contributors: Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Oct 2020 00:00:00 -0000

ros-rolling-urdf (2.4.0-1noble) noble; urgency=high

  * Deprecate methods that require tinyxml (#12 <https://github.com/ros2/urdf/issues/12>)
  * Contributors: Dan Rose

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-urdf (2.3.0-1noble) noble; urgency=high

  * Export targets in a addition to include directories / libraries. (#10 <https://github.com/ros2/urdf/issues/10>)
  * Force explicit language for uncrustify. (#9 <https://github.com/ros2/urdf/issues/9>)
  * Code style only: wrap after open parenthesis if not in one line. (#8 <https://github.com/ros2/urdf/issues/8>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 Apr 2020 00:00:00 -0000

ros-rolling-urdf (2.2.0-1noble) noble; urgency=high

  * Update to remove unneeded console_bridge dependency. (#4 <https://github.com/ros2/urdf/issues/4>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 20 Nov 2018 00:00:00 -0000

ros-rolling-urdf (2.1.0-1noble) noble; urgency=high

  * Update project URLs (#2 <https://github.com/ros2/urdf/issues/2>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jun 2018 00:00:00 -0000

ros-rolling-urdf (2.0.0-1noble) noble; urgency=high

  * Ported to ROS 2
  * Added Windows compatibility
  * Switched to ROS 2 code style
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-rolling-urdf (1.12.12-1noble) noble; urgency=high

  * Switched to package format 2 and made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Added missing dependency on tinyxml (#213 <https://github.com/ros/robot_model/pull/213>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 Nov 2017 00:00:00 -0000

ros-rolling-urdf (1.12.11-1noble) noble; urgency=high

  * Shared ptr yakkety (#207 <https://github.com/ros/robot_model/issues/207>)
    * Forward declare urdf::Model when urdfdom version is > 0.4
    * Add test for upcasting from urdf::ModelSharedPtr to urdf::ModelInterfaceSharedPtr
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-rolling-urdf (1.12.10-1noble) noble; urgency=high

  * Change urdf::Model to use std::shared_ptrs in urdfdom > v0.4 (#206 <https://github.com/ros/robot_model/issues/206>)
  * Contributors: Dave Coleman

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-rolling-urdf (1.12.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-rolling-urdf (1.12.8-1noble) noble; urgency=high

  * Allow supplying NodeHandle for initParam (#168 <https://github.com/ros/robot_model/issues/168>)
    * Allow supplying NodeHandle for initParam using new function.
    * fixed missing return statement in previous commit.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, Piyush Khandelwal, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-rolling-urdf (1.12.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-rolling-urdf (1.12.6-1noble) noble; urgency=high

  * Addressed gcc6 build error in the urdf package, forward port of #156 <https://github.com/ros/robot_model/issues/156> (#173 <https://github.com/ros/robot_model/issues/173>)
  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-rolling-urdf (1.12.5-1noble) noble; urgency=high

  * Added urdf_compatibility.h header to define SharedPtr types (#160 <https://github.com/ros/robot_model/issues/160>)
    This provides portability for downstream packages allowing them to use urdfdom 0.3 or 0.4.
  * urdf: Explicitly cast shared_ptr to bool in unit test. (#158 <https://github.com/ros/robot_model/issues/158>)
  * Add smart ptr typedefs (#153 <https://github.com/ros/robot_model/issues/153>)
  * Addressed gcc6 build error in urdf which was related to use of the isystem flag (#157 <https://github.com/ros/robot_model/issues/157>)
  * Remove unneeded dependency on libpcrecpp (#155 <https://github.com/ros/robot_model/issues/155>)
  * Contributors: Bence Magyar, Jochen Sprickerhof, Lukas Bulwahn, Maarten de Vries, Robert Haschke

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-rolling-urdf (1.12.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-rolling-urdf (1.12.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-rolling-urdf (1.12.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-rolling-urdf (1.12.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-rolling-urdf (1.11.8-1noble) noble; urgency=high

  * Removed pcre hack for newer released collada-dom.
  * Fixed link order of libpcrecpp.
  * Contributors: Kei Okada

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-rolling-urdf (1.11.7-1noble) noble; urgency=high

  * Removed the exporting of Boost and pcre as they are not used in the headers, and added TinyXML because it is.
  * Fixed a bug with pcrecpp on Ubuntu > 13.04.
  * Contributors: Kei Okada, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-rolling-urdf (1.11.6-1noble) noble; urgency=high

  * Add install for static libs needed for Android cross-compilation
  * Contributors: Gary Servin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-rolling-urdf (1.11.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-rolling-urdf (1.11.4-1noble) noble; urgency=high

  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-rolling-urdf (1.11.3-1noble) noble; urgency=high

  * fix urdfdom_headers find_package re ros/rosdistro#4633 <https://github.com/ros/rosdistro/issues/4633>
  * Contributors: Tully Foote

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-rolling-urdf (1.11.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-rolling-urdf (1.11.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-rolling-urdf (1.11.0-1noble) noble; urgency=high

  * fix urdf files for test
  * fix test at urdf
  * Contributors: YoheiKakiuchi

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-rolling-urdf (1.10.18-1noble) noble; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-rolling-urdf (1.10.16-1noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * fix for using collada_parser_plugin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Nov 2013 00:00:00 -0000

ros-rolling-urdf (1.10.15-1noble) noble; urgency=high

  * fix #30 <https://github.com/ros/robot_model/issues/30>

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 17 Aug 2013 00:00:00 -0000


